libreoffice、wps等程序界面输入框的问题

为当前最终发行版之前的所有版本提供支持
回复
头像
南风夜雨
帖子: 830
注册时间: 2007-01-04 9:49
系统: ubuntu-gnome
送出感谢: 5 次
接收感谢: 5 次

libreoffice、wps等程序界面输入框的问题

#1

帖子 南风夜雨 » 2013-05-13 14:19

实在不知道怎么表述自己的问题(菜鸟一枚,不会用专业术语),也不知道该发在哪个版块。所以放在了这里,祈求早有大神路过帮助。

知道应该不是liberoffice或者wps程序的问题,也不会是libreoffice-gnome的问题。

先说一下在wps中的出现的情况:
5屏幕截图.png
语言表达不清楚,主要就是图片中图线圈出的地方出现了问题。应该不是这样子的。

再说一下libreoffice中的情况,这个复杂一点,不装libreoffice-gnome的话,除了界面不太好看,是没有问题的:
2屏幕截图.png
2屏幕截图.png (52.57 KiB) 查看 6826 次
但安装了libreoffice-gnome的话就出现了与wps下情况类似的问题:
1屏幕截图.png
4屏幕截图.png
4屏幕截图.png (13.96 KiB) 查看 6826 次
——在字体选项中直接输入文字查找字体的时候,框内不能自动清空。

本人系统是openSUSE12.3,桌面环境gnome3.6
附件
3屏幕截图.png
3屏幕截图.png (16.99 KiB) 查看 6826 次
头像
huangbster
帖子: 187
注册时间: 2012-10-29 11:35
系统: UBUNTU
送出感谢: 1 次
接收感谢: 3 次

Re: libreoffice、wps等程序界面输入框的问题

#2

帖子 huangbster » 2013-05-13 14:23

估计使用gnome-tweak-tool 换个主题应该就可以了。
头像
南风夜雨
帖子: 830
注册时间: 2007-01-04 9:49
系统: ubuntu-gnome
送出感谢: 5 次
接收感谢: 5 次

Re: libreoffice、wps等程序界面输入框的问题

#3

帖子 南风夜雨 » 2013-05-13 14:23

不装libreoffice-gnome,libreoffice界面好丑的呀。 :em05

是我少装或者误删除了某个包吗?? :em20
头像
南风夜雨
帖子: 830
注册时间: 2007-01-04 9:49
系统: ubuntu-gnome
送出感谢: 5 次
接收感谢: 5 次

Re: libreoffice、wps等程序界面输入框的问题

#4

帖子 南风夜雨 » 2013-05-13 14:26

huangbster 写了:估计使用gnome-tweak-tool 换个主题应该就可以了。
可以肯定不是主题的问题。已经换主题试过了,而且我用的是默认的主题。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: libreoffice、wps等程序界面输入框的问题

#5

帖子 eexpress » 2013-05-13 14:33

除开软件还在使用.gtkrc-2.0,而且你的此设置里面强制了这控件的参数。
这还是主题的事情。
● 鸣学
头像
南风夜雨
帖子: 830
注册时间: 2007-01-04 9:49
系统: ubuntu-gnome
送出感谢: 5 次
接收感谢: 5 次

Re: libreoffice、wps等程序界面输入框的问题

#6

帖子 南风夜雨 » 2013-05-13 15:02

ee大神都说了,我试了下,确实是默认主题的问题。
头像
huangbster
帖子: 187
注册时间: 2012-10-29 11:35
系统: UBUNTU
送出感谢: 1 次
接收感谢: 3 次

Re: libreoffice、wps等程序界面输入框的问题

#7

帖子 huangbster » 2013-05-13 15:33

如果是GTK3.0,运行gtk3-widget-factory,看看输入控件有没有异常。如果有,那么查查主题相关的gtk-widgets-borders.css文件,看看.entry 是否正确。
头像
南风夜雨
帖子: 830
注册时间: 2007-01-04 9:49
系统: ubuntu-gnome
送出感谢: 5 次
接收感谢: 5 次

Re: libreoffice、wps等程序界面输入框的问题

#8

帖子 南风夜雨 » 2013-05-13 17:21

谢谢楼上,已经换了个主题解决了问题。
回复

回到 “老旧版本支持”